Package org.jfree.report.modules.data.sql

# Class DriverConnectionProvider

java.lang.Object
org.jfree.report.modules.data.sql.DriverConnectionProvider

All Implemented Interfaces:
  `Serializable`, `ConnectionProvider`

public class DriverConnectionProvider extends Object implements ConnectionProvider
Creation-Date: 07.04.2006, 15:04:26

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DriverConnectionProvider()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`getConnection()`
`String`
`getDriver()`
`String`
`getProperty(String key)`
`String`
`getUrl()`
`void`
`setDriver(String driver)`
`Object`
`setProperty(String key, String value)`
`void`
`setUrl(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DriverConnectionProvider

public DriverConnectionProvider()

## Method Details

### getProperty

public String getProperty(String key)

### setProperty

public Object setProperty(String key, String value)

### getUrl

public String getUrl()

### setUrl

public void setUrl(String url)

### getDriver

public String getDriver()

### setDriver

public void setDriver(String driver)

### getConnection

public Connection getConnection() throws SQLException

Specified by:
  `getConnection` in interface `ConnectionProvider`
Throws:
  `SQLException`